spandsp 0.0.6

async_tx_state_s Struct Reference

`#include <async.h>`

## Public Attributes
int | data_bits
| The number of data bits per character.
int | parity
| The type of parity.
int | stop_bits
| The number of stop bits per character.
get_byte_func_t | get_byte
| A pointer to the callback routine used to get characters to be transmitted.
void * | user_data
| An opaque pointer passed when calling get_byte.
unsigned int | byte_in_progress
| A current, partially transmitted, character.
int | bitpos
| The current bit position within a partially transmitted character.
int | parity_bit
| Parity bit.

## Detailed Description

Asynchronous data transmit descriptor. This defines the state of a single working instance of a byte to asynchronous serial converter, for use in FSK modems.

The documentation for this struct was generated from the following file:

- private/async.h